Class | Chef::Provider::RemoteFile
In: | lib/chef/provider/remote_file.rb
Parent: | Chef::Provider::File

### Methods

action_create action_create_if_missing backup_new_resource current_resource_matches_target_checksum? enforce_ownership_and_permissions load_current_resource matches_current_checksum? source_file

### Public Instance methods

action_create()
action_create_if_missing()
backup_new_resource()
current_resource_matches_target_checksum?()
enforce_ownership_and_permissions()
load_current_resource()
matches_current_checksum?(candidate_file)
source_file(source, current_checksum, &block)

[Validate]